#pragma once
#ifndef AD_DATA_H
#define AD_DATA_H

#include "stdtypes.h"

#define SIZE_OF_FLAGS_FIELD            1
#define MAX_SIZE_OF_NAME               8
#define SIZE_OF_UUID_FIELD             16
#define SIZE_OF_COMPANY_IDENTIFIER     2
#define MAX_SIZE_OF_SERVICE_NAME       27

typedef struct ad_data_t ad_data_t;

__PACKED_STRUCT ad_data_t {
   uint8_t     flags;
   uint8_t     name[MAX_SIZE_OF_NAME + 1]; /* +1 for null terminator */
   uint8_t     service_uuid[SIZE_OF_UUID_FIELD];
   uint8_t     service_name[MAX_SIZE_OF_SERVICE_NAME + 1]; /* +1 for null terminator */
};

uint16_t fnAdData_GetEncodedAdvertising(const ad_data_t * const me, uint8_t * const pBuffer, const uint16_t count);
uint16_t fnAdData_GetEncodedScanResponse(const ad_data_t * const me, uint8_t * const pBuffer, const uint16_t count);
uint16_t fnAdData_GetNameLength(const ad_data_t * const me);

#endif // AD_DATA_H
