#pragma once

#ifndef BLE_ABSTRACTION_H
#define BLE_ABSTRACTION_H

#include "stdtypes.h"
#include "ble.h"

extern uint32_t sd_ble_enable(uint32_t * p_app_ram_base);
extern uint32_t sd_ble_cfg_set(uint32_t cfg_id, ble_cfg_t const * p_cfg, uint32_t app_ram_base);
extern uint32_t sd_ble_opt_set(uint32_t opt_id, ble_opt_t const *p_opt);

extern uint32_t sd_ble_gap_appearance_set(uint16_t appearance);
extern uint32_t sd_ble_gap_device_name_set(ble_gap_conn_sec_mode_t const *p_write_perm, uint8_t const *p_dev_name, uint16_t len);
extern uint32_t sd_ble_gap_ppcp_set(ble_gap_conn_params_t const *p_conn_params);
extern uint32_t sd_ble_gap_ppcp_get(ble_gap_conn_params_t *p_conn_params);
extern uint32_t sd_ble_gap_adv_set_configure(uint8_t *p_adv_handle, ble_gap_adv_data_t const *p_adv_data, ble_gap_adv_params_t const *p_adv_params);
extern uint32_t sd_ble_gap_adv_start(uint8_t adv_handle, uint8_t conn_cfg_tag);
extern uint32_t sd_ble_gap_adv_stop(uint8_t adv_handle);
extern uint32_t sd_ble_gap_tx_power_set(uint8_t role, uint16_t handle, int8_t tx_power);
extern uint32_t sd_ble_gap_disconnect(uint16_t conn_handle, uint8_t hci_status_code);

extern uint32_t sd_ble_evt_get(uint8_t *p_dest, uint16_t *p_len);
extern uint32_t sd_ble_gap_conn_param_update(uint16_t conn_handle, ble_gap_conn_params_t const *p_conn_params);
extern uint32_t sd_ble_gap_sec_params_reply(uint16_t conn_handle, uint8_t sec_status, ble_gap_sec_params_t const *p_sec_params, ble_gap_sec_keyset_t const *p_sec_keyset);
//extern uint32_t sd_ble_gatts_exchange_mtu_reply(uint16_t conn_handle, uint16_t server_rx_mtu);
extern uint32_t sd_ble_gattc_exchange_mtu_request(uint16_t conn_handle, uint16_t client_rx_mtu);
extern uint32_t sd_ble_gap_data_length_update(uint16_t conn_handle, ble_gap_data_length_params_t const *p_dl_params, ble_gap_data_length_limitation_t *p_dl_limitation);
extern uint32_t sd_ble_gap_phy_update(uint16_t conn_handle, ble_gap_phys_t const *p_gap_phys);
extern uint32_t sd_ble_gatts_sys_attr_set(uint16_t conn_handle, uint8_t const *p_sys_attr_data, uint16_t len, uint32_t flags);
extern uint32_t sd_ble_gatts_value_set(uint16_t conn_handle, uint16_t handle, ble_gatts_value_t * p_value);

extern uint32_t sd_ble_uuid_vs_add(ble_uuid128_t const *p_vs_uuid, uint8_t *p_uuid_type);
extern uint32_t sd_ble_gatts_service_add(uint8_t type, ble_uuid_t const *p_uuid, uint16_t *p_handle);
extern uint32_t sd_ble_gatts_characteristic_add(uint16_t service_handle, ble_gatts_char_md_t const *p_char_md, ble_gatts_attr_t const *p_attr_char_value, ble_gatts_char_handles_t *p_handles);

extern uint32_t sd_ble_gatts_hvx(uint16_t conn_handle, ble_gatts_hvx_params_t const *p_hvx_params);

extern uint32_t sd_ble_gap_scan_start(ble_gap_scan_params_t const *p_scan_params, ble_data_t const * p_adv_report_buffer);

#endif //BLE_ABSTRACTION_H