/*
   Predefined macros for IAR Embedded Workbench - these are only used by Visual Studio for intellisense and dual targeting to work correctly
   They are defined on the command line by the compiler for a device target build. 
   To update compare with generated file in ..\..\iar\ (using toolchain_iar.cmake)
*/

#pragma once

#ifndef PREDEF_H
#define PREDEF_H

#ifndef __CHAR_BITS__ 
#define __CHAR_BITS__ 8
#endif //__CHAR_BITS__ 

#ifndef __CHAR_MAX__ 
#define __CHAR_MAX__ 0xff
#endif //__CHAR_MAX__

#ifndef __CHAR_MIN__ 
#define __CHAR_MIN__ 0
#endif //__CHAR_MIN__

#ifndef __CHAR_SIZE__ 
#define __CHAR_SIZE__ 1
#endif //__CHAR_SIZE__

#ifndef __UNSIGNED_CHAR_MAX__ 
#define __UNSIGNED_CHAR_MAX__ 0xff
#endif //__UNSIGNED_CHAR_MAX__

#ifndef __SIGNED_CHAR_MAX__ 
#define __SIGNED_CHAR_MAX__ 127
#endif //__SIGNED_CHAR_MAX__ 

#ifndef __SIGNED_CHAR_MIN__ 
#define __SIGNED_CHAR_MIN__ (-__SIGNED_CHAR_MAX__-1)
#endif //__SIGNED_CHAR_MIN__ 

#ifndef __CHAR_ALIGN__ 
#define __CHAR_ALIGN__ 1
#endif //__CHAR_ALIGN__ 

#ifndef __SHORT_SIZE__ 
#define __SHORT_SIZE__ 2
#endif //__SHORT_SIZE__ 

#ifndef __UNSIGNED_SHORT_MAX__ 
#define __UNSIGNED_SHORT_MAX__ 0xffff
#endif //__UNSIGNED_SHORT_MAX__ 

#ifndef __SIGNED_SHORT_MAX__ 
#define __SIGNED_SHORT_MAX__ 32767
#endif //__SIGNED_SHORT_MAX__ 

#ifndef __SIGNED_SHORT_MIN__ 
#define __SIGNED_SHORT_MIN__ (-__SIGNED_SHORT_MAX__-1)
#endif //__SIGNED_SHORT_MIN__ 

#ifndef __SHORT_ALIGN__ 
#define __SHORT_ALIGN__ 2
#endif //__SHORT_ALIGN__ 

#ifndef __INT_SIZE__ 
#define __INT_SIZE__ 4
#endif //__INT_SIZE__ 

#ifndef __UNSIGNED_INT_MAX__ 
#define __UNSIGNED_INT_MAX__ 0xffffffffU
#endif //__UNSIGNED_INT_MAX__ 

#ifndef __SIGNED_INT_MAX__ 
#define __SIGNED_INT_MAX__ 2147483647
#endif //__SIGNED_INT_MAX__ 

#ifndef __SIGNED_INT_MIN__ 
#define __SIGNED_INT_MIN__ (-__SIGNED_INT_MAX__-1)
#endif //__SIGNED_INT_MIN__ 

#ifndef __INT_ALIGN__ 
#define __INT_ALIGN__ 4
#endif //__INT_ALIGN__ 

#ifndef __LONG_SIZE__ 
#define __LONG_SIZE__ 4
#endif //__LONG_SIZE__ 

#ifndef __UNSIGNED_LONG_MAX__ 
#define __UNSIGNED_LONG_MAX__ 0xffffffffUL
#endif //__UNSIGNED_LONG_MAX__ 

#ifndef __SIGNED_LONG_MAX__ 
#define __SIGNED_LONG_MAX__ 2147483647L
#endif //__SIGNED_LONG_MAX__ 

#ifndef __SIGNED_LONG_MIN__ 
#define __SIGNED_LONG_MIN__ (-__SIGNED_LONG_MAX__-1)
#endif //__SIGNED_LONG_MIN__ 

#ifndef __LONG_ALIGN__ 
#define __LONG_ALIGN__ 4
#endif //__LONG_ALIGN__ 

#ifndef __LONG_LONG_SIZE__ 
#define __LONG_LONG_SIZE__ 8
#endif //__LONG_LONG_SIZE__ 

#ifndef __UNSIGNED_LONG_LONG_MAX__ 
#define __UNSIGNED_LONG_LONG_MAX__ 0xffffffffffffffffULL
#endif //__UNSIGNED_LONG_LONG_MAX__ 

#ifndef __SIGNED_LONG_LONG_MAX__ 
#define __SIGNED_LONG_LONG_MAX__ 9223372036854775807LL
#endif //__SIGNED_LONG_LONG_MAX__ 

#ifndef __SIGNED_LONG_LONG_MIN__ 
#define __SIGNED_LONG_LONG_MIN__ (-__SIGNED_LONG_LONG_MAX__-1)
#endif //__SIGNED_LONG_LONG_MIN__ 

#ifndef __LONG_LONG_ALIGN__ 
#define __LONG_LONG_ALIGN__ 8
#endif //__LONG_LONG_ALIGN__ 

#ifndef __INT8_T_TYPE__ 
#define __INT8_T_TYPE__ signed char
#endif //__INT8_T_TYPE__ 

#ifndef __INT8_T_MAX__ 
#define __INT8_T_MAX__ 127
#endif //__INT8_T_MAX__ 

#ifndef __INT8_T_MIN__ 
#define __INT8_T_MIN__ (-__INT8_T_MAX__-1)
#endif //__INT8_T_MIN__ 

#ifndef __UINT8_T_TYPE__ 
#define __UINT8_T_TYPE__ unsigned char
#endif //__UINT8_T_TYPE__ 

#ifndef __UINT8_T_MAX__ 
#define __UINT8_T_MAX__ 0xff
#endif //__UINT8_T_MAX__ 

#ifndef __INT8_SIZE_PREFIX__ 
#define __INT8_SIZE_PREFIX__ "hh"
#endif //__INT8_SIZE_PREFIX__ 

#ifndef __INT16_T_TYPE__ 
#define __INT16_T_TYPE__ signed short int
#endif //__INT16_T_TYPE__ 

#ifndef __INT16_T_MAX__ 
#define __INT16_T_MAX__ 32767
#endif //__INT16_T_MAX__ 

#ifndef __INT16_T_MIN__ 
#define __INT16_T_MIN__ (-__INT16_T_MAX__-1)
#endif //__INT16_T_MIN__ 

#ifndef __UINT16_T_TYPE__ 
#define __UINT16_T_TYPE__ unsigned short int
#endif //__UINT16_T_TYPE__ 

#ifndef __UINT16_T_MAX__ 
#define __UINT16_T_MAX__ 0xffff
#endif //__UINT16_T_MAX__ 

#ifndef __INT16_SIZE_PREFIX__ 
#define __INT16_SIZE_PREFIX__ "h"
#endif //__INT16_SIZE_PREFIX__ 

#ifndef __INT32_T_TYPE__ 
#define __INT32_T_TYPE__ signed int
#endif //__INT32_T_TYPE__ 

#ifndef __INT32_T_MAX__ 
#define __INT32_T_MAX__ 2147483647
#endif //__INT32_T_MAX__ 

#ifndef __INT32_T_MIN__ 
#define __INT32_T_MIN__ (-__INT32_T_MAX__-1)
#endif //__INT32_T_MIN__ 

#ifndef __UINT32_T_TYPE__ 
#define __UINT32_T_TYPE__ unsigned int
#endif //__UINT32_T_TYPE__ 

#ifndef __UINT32_T_MAX__ 
#define __UINT32_T_MAX__ 0xffffffffU
#endif //__UINT32_T_MAX__ 

#ifndef __INT32_SIZE_PREFIX__ 
#define __INT32_SIZE_PREFIX__ ""
#endif //__INT32_SIZE_PREFIX__ 

#ifndef __INT64_T_TYPE__ 
#define __INT64_T_TYPE__ signed long long int
#endif //__INT64_T_TYPE__ 

#ifndef __INT64_T_MAX__ 
#define __INT64_T_MAX__ 9223372036854775807LL
#endif //__INT64_T_MAX__ 

#ifndef __INT64_T_MIN__ 
#define __INT64_T_MIN__ (-__INT64_T_MAX__-1)
#endif //__INT64_T_MIN__ 

#ifndef __UINT64_T_TYPE__ 
#define __UINT64_T_TYPE__ unsigned long long int
#endif //__UINT64_T_TYPE__ 

#ifndef __UINT64_T_MAX__ 
#define __UINT64_T_MAX__ 0xffffffffffffffffULL
#endif //__UINT64_T_MAX__ 

#ifndef __INT64_SIZE_PREFIX__ 
#define __INT64_SIZE_PREFIX__ "ll"
#endif //__INT64_SIZE_PREFIX__ 

#ifndef __INT_LEAST8_T_TYPE__ 
#define __INT_LEAST8_T_TYPE__ signed char
#endif //__INT_LEAST8_T_TYPE__ 

#ifndef __INT_LEAST8_T_MAX__ 
#define __INT_LEAST8_T_MAX__ 127
#endif //__INT_LEAST8_T_MAX__ 

#ifndef __INT_LEAST8_T_MIN__ 
#define __INT_LEAST8_T_MIN__ (-__INT_LEAST8_T_MAX__-1)
#endif //__INT_LEAST8_T_MIN__ 

#ifndef __UINT_LEAST8_T_TYPE__ 
#define __UINT_LEAST8_T_TYPE__ unsigned char
#endif //__UINT_LEAST8_T_TYPE__ 

#ifndef __UINT_LEAST8_T_MAX__ 
#define __UINT_LEAST8_T_MAX__ 0xff
#endif //__UINT_LEAST8_T_MAX__ 

#ifndef __INT8_C_SUFFIX__ 
#define __INT8_C_SUFFIX__ 
#endif //__INT8_C_SUFFIX__ 

#ifndef __UINT8_C_SUFFIX__ 
#define __UINT8_C_SUFFIX__ 
#endif //__UINT8_C_SUFFIX__ 

#ifndef __INT_LEAST8_SIZE_PREFIX__ 
#define __INT_LEAST8_SIZE_PREFIX__ "hh"
#endif //__INT_LEAST8_SIZE_PREFIX__ 

#ifndef __INT_LEAST16_T_TYPE__ 
#define __INT_LEAST16_T_TYPE__ signed short int
#endif //__INT_LEAST16_T_TYPE__ 

#ifndef __INT_LEAST16_T_MAX__ 
#define __INT_LEAST16_T_MAX__ 32767
#endif //__INT_LEAST16_T_MAX__ 

#ifndef __INT_LEAST16_T_MIN__ 
#define __INT_LEAST16_T_MIN__ (-__INT_LEAST16_T_MAX__-1)
#endif //__INT_LEAST16_T_MIN__ 

#ifndef __UINT_LEAST16_T_TYPE__ 
#define __UINT_LEAST16_T_TYPE__ unsigned short int
#endif //__UINT_LEAST16_T_TYPE__ 

#ifndef __UINT_LEAST16_T_MAX__ 
#define __UINT_LEAST16_T_MAX__ 0xffff
#endif //__UINT_LEAST16_T_MAX__ 

#ifndef __INT16_C_SUFFIX__ 
#define __INT16_C_SUFFIX__ 
#endif //__INT16_C_SUFFIX__ 

#ifndef __UINT16_C_SUFFIX__ 
#define __UINT16_C_SUFFIX__ 
#endif //__UINT16_C_SUFFIX__ 

#ifndef __INT_LEAST16_SIZE_PREFIX__ 
#define __INT_LEAST16_SIZE_PREFIX__ "h"
#endif //__INT_LEAST16_SIZE_PREFIX__ 

#ifndef __INT_LEAST32_T_TYPE__ 
#define __INT_LEAST32_T_TYPE__ signed int
#endif //__INT_LEAST32_T_TYPE__ 

#ifndef __INT_LEAST32_T_MAX__ 
#define __INT_LEAST32_T_MAX__ 2147483647
#endif //__INT_LEAST32_T_MAX__ 

#ifndef __INT_LEAST32_T_MIN__ 
#define __INT_LEAST32_T_MIN__ (-__INT_LEAST32_T_MAX__-1)
#endif //__INT_LEAST32_T_MIN__ 

#ifndef __UINT_LEAST32_T_TYPE__ 
#define __UINT_LEAST32_T_TYPE__ unsigned int
#endif //__UINT_LEAST32_T_TYPE__ 

#ifndef __UINT_LEAST32_T_MAX__ 
#define __UINT_LEAST32_T_MAX__ 0xffffffffU
#endif //__UINT_LEAST32_T_MAX__ 

#ifndef __INT32_C_SUFFIX__ 
#define __INT32_C_SUFFIX__ 
#endif //__INT32_C_SUFFIX__ 

#ifndef __UINT32_C_SUFFIX__ 
#define __UINT32_C_SUFFIX__ U
#endif //__UINT32_C_SUFFIX__ 

#ifndef __INT_LEAST32_SIZE_PREFIX__ 
#define __INT_LEAST32_SIZE_PREFIX__ ""
#endif //__INT_LEAST32_SIZE_PREFIX__ 

#ifndef __INT_LEAST64_T_TYPE__ 
#define __INT_LEAST64_T_TYPE__ signed long long int
#endif //__INT_LEAST64_T_TYPE__ 

#ifndef __INT_LEAST64_T_MAX__ 
#define __INT_LEAST64_T_MAX__ 9223372036854775807LL
#endif //__INT_LEAST64_T_MAX__ 

#ifndef __INT_LEAST64_T_MIN__ 
#define __INT_LEAST64_T_MIN__ (-__INT_LEAST64_T_MAX__-1)
#endif //__INT_LEAST64_T_MIN__ 

#ifndef __UINT_LEAST64_T_TYPE__ 
#define __UINT_LEAST64_T_TYPE__ unsigned long long int
#endif //__UINT_LEAST64_T_TYPE__ 

#ifndef __UINT_LEAST64_T_MAX__ 
#define __UINT_LEAST64_T_MAX__ 0xffffffffffffffffULL
#endif //__UINT_LEAST64_T_MAX__ 

#ifndef __INT64_C_SUFFIX__ 
#define __INT64_C_SUFFIX__ LL
#endif //__INT64_C_SUFFIX__ 

#ifndef __UINT64_C_SUFFIX__ 
#define __UINT64_C_SUFFIX__ ULL
#endif //__UINT64_C_SUFFIX__ 

#ifndef __INT_LEAST64_SIZE_PREFIX__ 
#define __INT_LEAST64_SIZE_PREFIX__ "ll"
#endif //__INT_LEAST64_SIZE_PREFIX__ 

#ifndef __INT_FAST8_T_TYPE__ 
#define __INT_FAST8_T_TYPE__ signed int
#endif //__INT_FAST8_T_TYPE__ 

#ifndef __INT_FAST8_T_MAX__ 
#define __INT_FAST8_T_MAX__ 2147483647
#endif //__INT_FAST8_T_MAX__ 

#ifndef __INT_FAST8_T_MIN__ 
#define __INT_FAST8_T_MIN__ (-__INT_FAST8_T_MAX__-1)
#endif //__INT_FAST8_T_MIN__ 

#ifndef __UINT_FAST8_T_TYPE__ 
#define __UINT_FAST8_T_TYPE__ unsigned int
#endif //__UINT_FAST8_T_TYPE__ 

#ifndef __UINT_FAST8_T_MAX__ 
#define __UINT_FAST8_T_MAX__ 0xffffffffU
#endif //__UINT_FAST8_T_MAX__ 

#ifndef __INT_FAST8_SIZE_PREFIX__ 
#define __INT_FAST8_SIZE_PREFIX__ ""
#endif //__INT_FAST8_SIZE_PREFIX__ 

#ifndef __INT_FAST16_T_TYPE__ 
#define __INT_FAST16_T_TYPE__ signed int
#endif //__INT_FAST16_T_TYPE__ 

#ifndef __INT_FAST16_T_MAX__ 
#define __INT_FAST16_T_MAX__ 2147483647
#endif //__INT_FAST16_T_MAX__ 

#ifndef __INT_FAST16_T_MIN__ 
#define __INT_FAST16_T_MIN__ (-__INT_FAST16_T_MAX__-1)
#endif //__INT_FAST16_T_MIN__ 

#ifndef __UINT_FAST16_T_TYPE__ 
#define __UINT_FAST16_T_TYPE__ unsigned int
#endif //__UINT_FAST16_T_TYPE__ 

#ifndef __UINT_FAST16_T_MAX__ 
#define __UINT_FAST16_T_MAX__ 0xffffffffU
#endif //__UINT_FAST16_T_MAX__ 

#ifndef __INT_FAST16_SIZE_PREFIX__ 
#define __INT_FAST16_SIZE_PREFIX__ ""
#endif //__INT_FAST16_SIZE_PREFIX__ 

#ifndef __INT_FAST32_T_TYPE__ 
#define __INT_FAST32_T_TYPE__ signed int
#endif //__INT_FAST32_T_TYPE__ 

#ifndef __INT_FAST32_T_MAX__ 
#define __INT_FAST32_T_MAX__ 2147483647
#endif //__INT_FAST32_T_MAX__ 

#ifndef __INT_FAST32_T_MIN__ 
#define __INT_FAST32_T_MIN__ (-__INT_FAST32_T_MAX__-1)
#endif //__INT_FAST32_T_MIN__ 

#ifndef __UINT_FAST32_T_TYPE__ 
#define __UINT_FAST32_T_TYPE__ unsigned int
#endif //__UINT_FAST32_T_TYPE__ 

#ifndef __UINT_FAST32_T_MAX__ 
#define __UINT_FAST32_T_MAX__ 0xffffffffU
#endif //__UINT_FAST32_T_MAX__ 

#ifndef __INT_FAST32_SIZE_PREFIX__ 
#define __INT_FAST32_SIZE_PREFIX__ ""
#endif //__INT_FAST32_SIZE_PREFIX__ 

#ifndef __INT_FAST64_T_TYPE__ 
#define __INT_FAST64_T_TYPE__ signed long long int
#endif //__INT_FAST64_T_TYPE__ 

#ifndef __INT_FAST64_T_MAX__ 
#define __INT_FAST64_T_MAX__ 9223372036854775807LL
#endif //__INT_FAST64_T_MAX__ 

#ifndef __INT_FAST64_T_MIN__ 
#define __INT_FAST64_T_MIN__ (-__INT_FAST64_T_MAX__-1)
#endif //__INT_FAST64_T_MIN__ 

#ifndef __UINT_FAST64_T_TYPE__ 
#define __UINT_FAST64_T_TYPE__ unsigned long long int
#endif //__UINT_FAST64_T_TYPE__ 

#ifndef __UINT_FAST64_T_MAX__ 
#define __UINT_FAST64_T_MAX__ 0xffffffffffffffffULL
#endif //__UINT_FAST64_T_MAX__ 

#ifndef __INT_FAST64_SIZE_PREFIX__ 
#define __INT_FAST64_SIZE_PREFIX__ "ll"
#endif //__INT_FAST64_SIZE_PREFIX__ 

#ifndef __INTMAX_T_TYPE__ 
#define __INTMAX_T_TYPE__ signed long long int
#endif //__INTMAX_T_TYPE__ 

#ifndef __INTMAX_T_MAX__ 
#define __INTMAX_T_MAX__ 9223372036854775807LL
#endif //__INTMAX_T_MAX__ 

#ifndef __INTMAX_T_MIN__ 
#define __INTMAX_T_MIN__ (-__INTMAX_T_MAX__-1)
#endif //__INTMAX_T_MIN__ 

#ifndef __UINTMAX_T_TYPE__ 
#define __UINTMAX_T_TYPE__ unsigned long long int
#endif //__UINTMAX_T_TYPE__ 

#ifndef __UINTMAX_T_MAX__ 
#define __UINTMAX_T_MAX__ 0xffffffffffffffffULL
#endif //__UINTMAX_T_MAX__ 

#ifndef __INTMAX_C_SUFFIX__ 
#define __INTMAX_C_SUFFIX__ LL
#endif //__INTMAX_C_SUFFIX__ 

#ifndef __UINTMAX_C_SUFFIX__ 
#define __UINTMAX_C_SUFFIX__ ULL
#endif //__UINTMAX_C_SUFFIX__ 

#ifndef __INTMAX_SIZE_PREFIX__ 
#define __INTMAX_SIZE_PREFIX__ "ll"
#endif //__INTMAX_SIZE_PREFIX__ 

#ifndef __ATOMIC_BOOL_LOCK_FREE 
#define __ATOMIC_BOOL_LOCK_FREE 2
#endif //__ATOMIC_BOOL_LOCK_FREE 

#ifndef __ATOMIC_CHAR_LOCK_FREE 
#define __ATOMIC_CHAR_LOCK_FREE 2
#endif //__ATOMIC_CHAR_LOCK_FREE 

#ifndef __ATOMIC_CHAR16_T_LOCK_FREE 
#define __ATOMIC_CHAR16_T_LOCK_FREE 2
#endif //__ATOMIC_CHAR16_T_LOCK_FREE 

#ifndef __ATOMIC_CHAR32_T_LOCK_FREE 
#define __ATOMIC_CHAR32_T_LOCK_FREE 2
#endif //__ATOMIC_CHAR32_T_LOCK_FREE 

#ifndef __ATOMIC_WCHAR_T_LOCK_FREE 
#define __ATOMIC_WCHAR_T_LOCK_FREE 2
#endif //__ATOMIC_WCHAR_T_LOCK_FREE 

#ifndef __ATOMIC_SHORT_LOCK_FREE 
#define __ATOMIC_SHORT_LOCK_FREE 2
#endif //__ATOMIC_SHORT_LOCK_FREE 

#ifndef __ATOMIC_INT_LOCK_FREE 
#define __ATOMIC_INT_LOCK_FREE 2
#endif //__ATOMIC_INT_LOCK_FREE 

#ifndef __ATOMIC_LONG_LOCK_FREE 
#define __ATOMIC_LONG_LOCK_FREE 2
#endif //__ATOMIC_LONG_LOCK_FREE 

#ifndef __ATOMIC_LLONG_LOCK_FREE 
#define __ATOMIC_LLONG_LOCK_FREE 0
#endif //__ATOMIC_LLONG_LOCK_FREE 

#ifndef __ATOMIC_POINTER_LOCK_FREE 
#define __ATOMIC_POINTER_LOCK_FREE 2
#endif //__ATOMIC_POINTER_LOCK_FREE 

#ifndef __FLOAT_SIZE__ 
#define __FLOAT_SIZE__ 4
#endif //__FLOAT_SIZE__ 

#ifndef __FLOAT_ALIGN__ 
#define __FLOAT_ALIGN__ 4
#endif //__FLOAT_ALIGN__ 

#ifndef __DOUBLE_SIZE__ 
#define __DOUBLE_SIZE__ 8
#endif //__DOUBLE_SIZE__ 

#ifndef __DOUBLE_ALIGN__ 
#define __DOUBLE_ALIGN__ 8
#endif //__DOUBLE_ALIGN__ 

#ifndef __LONG_DOUBLE_SIZE__ 
#define __LONG_DOUBLE_SIZE__ 8
#endif //__LONG_DOUBLE_SIZE__ 

#ifndef __LONG_DOUBLE_ALIGN__ 
#define __LONG_DOUBLE_ALIGN__ 8
#endif //__LONG_DOUBLE_ALIGN__ 

#ifndef ____FP16_SIZE__ 
#define ____FP16_SIZE__ 2
#endif //____FP16_SIZE__ 

#ifndef ____FP16_ALIGN__ 
#define ____FP16_ALIGN__ 2
#endif //____FP16_ALIGN__ 

#ifndef __NAN_HAS_HIGH_MANTISSA_BIT_SET__ 
#define __NAN_HAS_HIGH_MANTISSA_BIT_SET__ 0
#endif //__NAN_HAS_HIGH_MANTISSA_BIT_SET__ 

#ifndef __SUBNORMAL_FLOATING_POINTS__ 
#define __SUBNORMAL_FLOATING_POINTS__ 1
#endif //__SUBNORMAL_FLOATING_POINTS__ 

#ifndef __SIZE_T_TYPE__ 
#define __SIZE_T_TYPE__ unsigned int
#endif //__SIZE_T_TYPE__ 

#ifndef __SIZE_T_MAX__ 
#define __SIZE_T_MAX__ 0xffffffffU
#endif //__SIZE_T_MAX__ 

#ifndef __PTRDIFF_T_TYPE__ 
#define __PTRDIFF_T_TYPE__ signed int
#endif //__PTRDIFF_T_TYPE__ 

#ifndef __PTRDIFF_T_MAX__ 
#define __PTRDIFF_T_MAX__ 2147483647
#endif //__PTRDIFF_T_MAX__ 

#ifndef __PTRDIFF_T_MIN__ 
#define __PTRDIFF_T_MIN__ (-__PTRDIFF_T_MAX__-1)
#endif //__PTRDIFF_T_MIN__ 

#ifndef __INTPTR_T_TYPE__ 
#define __INTPTR_T_TYPE__ signed int
#endif //__INTPTR_T_TYPE__ 

#ifndef __INTPTR_T_MAX__ 
#define __INTPTR_T_MAX__ 2147483647
#endif //__INTPTR_T_MAX__ 

#ifndef __INTPTR_T_MIN__ 
#define __INTPTR_T_MIN__ (-__INTPTR_T_MAX__-1)
#endif //__INTPTR_T_MIN__ 

#ifndef __UINTPTR_T_TYPE__ 
#define __UINTPTR_T_TYPE__ unsigned int
#endif //__UINTPTR_T_TYPE__ 

#ifndef __UINTPTR_T_MAX__ 
#define __UINTPTR_T_MAX__ 0xffffffffU
#endif //__UINTPTR_T_MAX__ 

#ifndef __INTPTR_SIZE_PREFIX__ 
#define __INTPTR_SIZE_PREFIX__ ""
#endif //__INTPTR_SIZE_PREFIX__ 

#ifndef __JMP_BUF_ELEMENT_TYPE__ 
#define __JMP_BUF_ELEMENT_TYPE__ unsigned long long int
#endif //__JMP_BUF_ELEMENT_TYPE__ 

#ifndef __JMP_BUF_NUM_ELEMENTS__ 
#define __JMP_BUF_NUM_ELEMENTS__ 8
#endif //__JMP_BUF_NUM_ELEMENTS__ 

#ifndef __TID__ 
#define __TID__ 0xcf60
#endif //__TID__ 

#ifndef __VER__ 
#define __VER__ 8030002
#endif //__VER__ 

#ifndef __BUILD_NUMBER__ 
#define __BUILD_NUMBER__ 160
#endif //__BUILD_NUMBER__ 

#ifndef __IAR_SYSTEMS_ICC__ 
#define __IAR_SYSTEMS_ICC__ 9
#endif //__IAR_SYSTEMS_ICC__ 

#ifndef _MAX_ALIGNMENT 
#define _MAX_ALIGNMENT 8
#endif //_MAX_ALIGNMENT 

#ifndef __LITTLE_ENDIAN__ 
#define __LITTLE_ENDIAN__ 1
#endif //__LITTLE_ENDIAN__ 

#ifndef __BOOL_TYPE__ 
#define __BOOL_TYPE__ unsigned char
#endif //__BOOL_TYPE__ 

#ifndef __BOOL_SIZE__ 
#define __BOOL_SIZE__ 1
#endif //__BOOL_SIZE__ 

#ifndef __WCHAR_T_TYPE__ 
#define __WCHAR_T_TYPE__ unsigned int
#endif //__WCHAR_T_TYPE__ 

#ifndef __WCHAR_T_SIZE__ 
#define __WCHAR_T_SIZE__ 4
#endif //__WCHAR_T_SIZE__ 

#ifndef __WCHAR_T_MAX__ 
#define __WCHAR_T_MAX__ 0xffffffffU
#endif //__WCHAR_T_MAX__ 

#ifndef __DEF_PTR_MEM__ 
#define __DEF_PTR_MEM__ __data
#endif //__DEF_PTR_MEM__ 

#ifndef __DEF_PTR_SIZE__ 
#define __DEF_PTR_SIZE__ 4
#endif //__DEF_PTR_SIZE__ 

#ifndef __CODE_MEMORY_LIST1__ 
 	#define __CODE_MEMORY_LIST1__() __CODE_MEM_HELPER1__(__code, 0) 
 #endif //__CODE_MEMORY_LIST1__ 

#ifndef __CODE_MEMORY_LIST2__ 
 	#define __CODE_MEMORY_LIST2__(_P1) __CODE_MEM_HELPER2__(__code, 0, _P1) 
 #endif //__CODE_MEMORY_LIST2__ 

#ifndef __CODE_MEMORY_LIST3__ 
 	#define __CODE_MEMORY_LIST3__(_P1,_P2) __CODE_MEM_HELPER3__(__code, 0, _P1, _P2) 
 #endif //__CODE_MEMORY_LIST3__ 

#ifndef __DATA_MEMORY_LIST1__ 
 	#define __DATA_MEMORY_LIST1__() __DATA_MEM_HELPER1__(__data, 0) 
 #endif //__DATA_MEMORY_LIST1__ 

#ifndef __DATA_MEMORY_LIST2__ 
 	#define __DATA_MEMORY_LIST2__(_P1) __DATA_MEM_HELPER2__(__data, 0, _P1) 
 #endif //__DATA_MEMORY_LIST2__ 

#ifndef __DATA_MEMORY_LIST3__ 
 	#define __DATA_MEMORY_LIST3__(_P1,_P2) __DATA_MEM_HELPER3__(__data, 0, _P1, _P2) 
 #endif //__DATA_MEMORY_LIST3__ 

#ifndef __DATA_MEM0__ 
#define __DATA_MEM0__ __data
#endif //__DATA_MEM0__ 

#ifndef __DATA_MEM0_POINTER_OK__ 
#define __DATA_MEM0_POINTER_OK__ 1
#endif //__DATA_MEM0_POINTER_OK__ 

#ifndef __DATA_MEM0_UNIQUE_POINTER__ 
#define __DATA_MEM0_UNIQUE_POINTER__ 1
#endif //__DATA_MEM0_UNIQUE_POINTER__ 

#ifndef __DATA_MEM0_VAR_OK__ 
#define __DATA_MEM0_VAR_OK__ 1
#endif //__DATA_MEM0_VAR_OK__ 

#ifndef __DATA_MEM0_INDEX_TYPE__ 
#define __DATA_MEM0_INDEX_TYPE__ int
#endif //__DATA_MEM0_INDEX_TYPE__ 

#ifndef __DATA_MEM0_SIZE_TYPE__ 
#define __DATA_MEM0_SIZE_TYPE__ unsigned int
#endif //__DATA_MEM0_SIZE_TYPE__ 

#ifndef __DATA_MEM0_INTPTR_TYPE__ 
#define __DATA_MEM0_INTPTR_TYPE__ int
#endif //__DATA_MEM0_INTPTR_TYPE__ 

#ifndef __DATA_MEM0_UINTPTR_TYPE__ 
#define __DATA_MEM0_UINTPTR_TYPE__ unsigned int
#endif //__DATA_MEM0_UINTPTR_TYPE__ 

#ifndef __DATA_MEM0_INTPTR_SIZE_PREFIX__ 
#define __DATA_MEM0_INTPTR_SIZE_PREFIX__ ""
#endif //__DATA_MEM0_INTPTR_SIZE_PREFIX__ 

#ifndef __DATA_MEM0_MAX_SIZE__ 
#define __DATA_MEM0_MAX_SIZE__ 0x7fffffffU
#endif //__DATA_MEM0_MAX_SIZE__ 

#ifndef _RSIZE_MAX 
#define _RSIZE_MAX 0x7fffffffU
#endif //_RSIZE_MAX 

#ifndef __DATA_MEM0_HEAP_SEGMENT__ 
#define __DATA_MEM0_HEAP_SEGMENT__ "HEAP"
#endif //__DATA_MEM0_HEAP_SEGMENT__ 

#ifndef __DATA_MEM0_PAGE_SIZE__ 
#define __DATA_MEM0_PAGE_SIZE__ 0
#endif //__DATA_MEM0_PAGE_SIZE__ 

#ifndef __DATA_MEM0_HEAP__ 
#define __DATA_MEM0_HEAP__ 0
#endif //__DATA_MEM0_HEAP__ 

#ifndef __CODE_MEM0__ 
#define __CODE_MEM0__ __code
#endif //__CODE_MEM0__ 

#ifndef __CODE_MEM0_POINTER_OK__ 
#define __CODE_MEM0_POINTER_OK__ 1
#endif //__CODE_MEM0_POINTER_OK__ 

#ifndef __CODE_MEM0_UNIQUE_POINTER__ 
#define __CODE_MEM0_UNIQUE_POINTER__ 1
#endif //__CODE_MEM0_UNIQUE_POINTER__ 

#ifndef __CODE_PTR_MEMORY_LIST1__ 
 	#define __CODE_PTR_MEMORY_LIST1__() __CODE_PTR_MEM_HELPER1__(__code, 0) 
 #endif //__CODE_PTR_MEMORY_LIST1__ 

#ifndef __CODE_PTR_MEMORY_LIST2__ 
 	#define __CODE_PTR_MEMORY_LIST2__(_P1) __CODE_PTR_MEM_HELPER2__(__code, 0, _P1) 
 #endif //__CODE_PTR_MEMORY_LIST2__ 

#ifndef __CODE_PTR_MEMORY_LIST3__ 
 	#define __CODE_PTR_MEMORY_LIST3__(_P1,_P2) __CODE_PTR_MEM_HELPER3__(__code, 0, _P1, _P2) 
 #endif //__CODE_PTR_MEMORY_LIST3__ 

#ifndef __DATA_PTR_MEMORY_LIST1__ 
 	#define __DATA_PTR_MEMORY_LIST1__() __DATA_PTR_MEM_HELPER1__(__data, 0) 
 #endif //__DATA_PTR_MEMORY_LIST1__ 

#ifndef __DATA_PTR_MEMORY_LIST2__ 
 	#define __DATA_PTR_MEMORY_LIST2__(_P1) __DATA_PTR_MEM_HELPER2__(__data, 0, _P1) 
 #endif //__DATA_PTR_MEMORY_LIST2__ 

#ifndef __DATA_PTR_MEMORY_LIST3__ 
 	#define __DATA_PTR_MEMORY_LIST3__(_P1,_P2) __DATA_PTR_MEM_HELPER3__(__data, 0, _P1, _P2) 
 #endif //__DATA_PTR_MEMORY_LIST3__ 

#ifndef __VAR_MEMORY_LIST1__ 
 	#define __VAR_MEMORY_LIST1__() __VAR_MEM_HELPER1__(__data, 0) 
 #endif //__VAR_MEMORY_LIST1__ 

#ifndef __VAR_MEMORY_LIST2__ 
 	#define __VAR_MEMORY_LIST2__(_P1) __VAR_MEM_HELPER2__(__data, 0, _P1) 
 #endif //__VAR_MEMORY_LIST2__ 

#ifndef __VAR_MEMORY_LIST3__ 
 	#define __VAR_MEMORY_LIST3__(_P1,_P2) __VAR_MEM_HELPER3__(__data, 0, _P1, _P2) 
 #endif //__VAR_MEMORY_LIST3__ 

#ifndef __VARD_MEMORY_LIST1__ 
 	#define __VARD_MEMORY_LIST1__() __VARD_MEM_HELPER1__(__data, 0, _) 
 #endif //__VARD_MEMORY_LIST1__ 

#ifndef __HEAP_MEM0__ 
#define __HEAP_MEM0__ 0
#endif //__HEAP_MEM0__ 

#ifndef __HEAP_DEFAULT_MEM__ 
#define __HEAP_DEFAULT_MEM__ 0
#endif //__HEAP_DEFAULT_MEM__ 

#ifndef __HEAP_MEMORY_LIST1__ 
 	#define __HEAP_MEMORY_LIST1__() __HEAP_MEM_HELPER1__(__data, 0) 
 #endif //__HEAP_MEMORY_LIST1__ 

#ifndef __HEAP_MEMORY_LIST2__ 
 	#define __HEAP_MEMORY_LIST2__(_P1) __HEAP_MEM_HELPER2__(__data, 0, _P1) 
 #endif //__HEAP_MEMORY_LIST2__ 

#ifndef __HEAP_MEMORY_LIST3__ 
 	#define __HEAP_MEMORY_LIST3__(_P1,_P2) __HEAP_MEM_HELPER3__(__data, 0, _P1, _P2) 
 #endif //__HEAP_MEMORY_LIST3__ 

#ifndef __HVAR_MEMORY_LIST1__ 
 	#define __HVAR_MEMORY_LIST1__() __HVAR_MEM_HELPER1__(__data, 0) 
 #endif //__HVAR_MEMORY_LIST1__ 

#ifndef __HEAPD_MEMORY_LIST1__ 
 	#define __HEAPD_MEMORY_LIST1__() __HEAPD_MEM_HELPER1__(__data, 0, _) 
 #endif //__HEAPD_MEMORY_LIST1__ 

#ifndef __HEAPU_MEMORY_LIST1__ 
 	#define __HEAPU_MEMORY_LIST1__() __HEAPU_MEM_HELPER1__(__data, 0) 
 #endif //__HEAPU_MEMORY_LIST1__ 

#ifndef __HEAPND_MEMORY_LIST1__ 
#define __HEAPND_MEMORY_LIST1__() 
#endif //__HEAPND_MEMORY_LIST1__ 

#ifndef __MULTIPLE_HEAPS__ 
#define __MULTIPLE_HEAPS__ 0
#endif //__MULTIPLE_HEAPS__ 

#ifndef __TOPM_DATA_MEMORY_LIST1__ 
 	#define __TOPM_DATA_MEMORY_LIST1__()  
 #endif //__TOPM_DATA_MEMORY_LIST1__ 

#ifndef __TOPM_DATA_MEMORY_LIST2__ 
 	#define __TOPM_DATA_MEMORY_LIST2__(_P1)  
 #endif //__TOPM_DATA_MEMORY_LIST2__ 

#ifndef __TOPM_DATA_MEMORY_LIST3__ 
 	#define __TOPM_DATA_MEMORY_LIST3__(_P1,_P2)  
 #endif //__TOPM_DATA_MEMORY_LIST3__ 

#ifndef __TOPP_DATA_MEMORY_LIST1__ 
 	#define __TOPP_DATA_MEMORY_LIST1__() __TOPP_DATA_MEM_HELPER1__(__data, 0) 
 #endif //__TOPP_DATA_MEMORY_LIST1__ 

#ifndef __TOPP_DATA_MEMORY_LIST2__ 
 	#define __TOPP_DATA_MEMORY_LIST2__(_P1) __TOPP_DATA_MEM_HELPER2__(__data, 0, _P1) 
 #endif //__TOPP_DATA_MEMORY_LIST2__ 

#ifndef __TOPP_DATA_MEMORY_LIST3__ 
 	#define __TOPP_DATA_MEMORY_LIST3__(_P1,_P2) __TOPP_DATA_MEM_HELPER3__(__data, 0, _P1, _P2) 
 #endif //__TOPP_DATA_MEMORY_LIST3__ 

#ifndef __DEF_HEAP_MEM__ 
#define __DEF_HEAP_MEM__ __data
#endif //__DEF_HEAP_MEM__ 

#ifndef __DEF_STACK_MEM_INDEX__ 
#define __DEF_STACK_MEM_INDEX__ 0
#endif //__DEF_STACK_MEM_INDEX__ 

#ifndef __PRAGMA_PACK_ON__ 
#define __PRAGMA_PACK_ON__ 1
#endif //__PRAGMA_PACK_ON__ 

#ifndef __MULTIPLE_INHERITANCE__ 
#define __MULTIPLE_INHERITANCE__ 1
#endif //__MULTIPLE_INHERITANCE__ 

#ifndef __AAPCS_VFP__ 
#define __AAPCS_VFP__ 1
#endif //__AAPCS_VFP__ 

#ifndef __ARM4TM__ 
#define __ARM4TM__ 4
#endif //__ARM4TM__ 

#ifndef __ARM5TM__ 
#define __ARM5TM__ 5
#endif //__ARM5TM__ 

#ifndef __ARM5T__ 
#define __ARM5T__ 5
#endif //__ARM5T__ 

#ifndef __ARM5__ 
#define __ARM5__ 5
#endif //__ARM5__ 

#ifndef __ARM6MEDIA__ 
#define __ARM6MEDIA__ 6
#endif //__ARM6MEDIA__ 

#ifndef __ARM6M__ 
#define __ARM6M__ 11
#endif //__ARM6M__ 

#ifndef __ARM6SM__ 
#define __ARM6SM__ 12
#endif //__ARM6SM__ 

#ifndef __ARM6T2__ 
#define __ARM6T2__ 6
#endif //__ARM6T2__ 

#ifndef __ARM6__ 
#define __ARM6__ 6
#endif //__ARM6__ 

#ifndef __ARM7EM__ 
#define __ARM7EM__ 13
#endif //__ARM7EM__ 

#ifndef __ARM7M__ 
#define __ARM7M__ 7
#endif //__ARM7M__ 

#ifndef __ARM7__ 
#define __ARM7__ 7
#endif //__ARM7__ 

#ifndef __ARM_32BIT_STATE 
#define __ARM_32BIT_STATE 1
#endif //__ARM_32BIT_STATE 

#ifndef __ARM_ACLE 
#define __ARM_ACLE 201
#endif //__ARM_ACLE 


#ifndef __ARM_ALIGN_MAX_PWR 
#define __ARM_ALIGN_MAX_PWR 8
#endif //__ARM_ALIGN_MAX_PWR 

#ifndef __ARM_ALIGN_MAX_STACK_PWR 
#define __ARM_ALIGN_MAX_STACK_PWR 3
#endif //__ARM_ALIGN_MAX_STACK_PWR 

#ifndef __ARM_ARCH 
#define __ARM_ARCH 7
#endif //__ARM_ARCH 

#ifndef __ARM_ARCH_ISA_THUMB 
#define __ARM_ARCH_ISA_THUMB 2
#endif //__ARM_ARCH_ISA_THUMB 

#ifndef __ARM_ARCH_PROFILE 
#define __ARM_ARCH_PROFILE 'M'
#endif //__ARM_ARCH_PROFILE 

#ifndef __ARM_FEATURE_CLZ 
#define __ARM_FEATURE_CLZ 1
#endif //__ARM_FEATURE_CLZ 

#ifndef __ARM_FEATURE_COPROC 
#define __ARM_FEATURE_COPROC 15
#endif //__ARM_FEATURE_COPROC 

#ifndef __ARM_FEATURE_DSP 
#define __ARM_FEATURE_DSP 1
#endif //__ARM_FEATURE_DSP 

#ifndef __ARM_FEATURE_IDIV 
#define __ARM_FEATURE_IDIV 1
#endif //__ARM_FEATURE_IDIV 

#ifndef __ARM_FEATURE_LDREX 
#define __ARM_FEATURE_LDREX 7
#endif //__ARM_FEATURE_LDREX 

#ifndef __ARM_FEATURE_QBIT 
#define __ARM_FEATURE_QBIT 1
#endif //__ARM_FEATURE_QBIT 

#ifndef __ARM_FEATURE_SAT 
#define __ARM_FEATURE_SAT 1
#endif //__ARM_FEATURE_SAT 

#ifndef __ARM_FEATURE_SIMD32 
#define __ARM_FEATURE_SIMD32 1
#endif //__ARM_FEATURE_SIMD32 

#ifndef __ARM_FEATURE_UNALIGNED 
#define __ARM_FEATURE_UNALIGNED 1
#endif //__ARM_FEATURE_UNALIGNED 

#ifndef __ARM_FP16_ARGS 
#define __ARM_FP16_ARGS 1
#endif //__ARM_FP16_ARGS 

#ifndef __ARM_FP16_FORMAT_IEEE 
#define __ARM_FP16_FORMAT_IEEE 1
#endif //__ARM_FP16_FORMAT_IEEE 

#ifndef __ARM_MEDIA__ 
#define __ARM_MEDIA__ 1
#endif //__ARM_MEDIA__ 

#ifndef __ARM_PCS 
#define __ARM_PCS 1
#endif //__ARM_PCS 

#ifndef __ARM_PROFILE_M__ 
#define __ARM_PROFILE_M__ 1
#endif //__ARM_PROFILE_M__ 

#ifndef __ARM_SIZE_MINIMAL_ENUM 
#define __ARM_SIZE_MINIMAL_ENUM 1
#endif //__ARM_SIZE_MINIMAL_ENUM 

#ifndef __ARM_SIZE_WCHAR_T 
#define __ARM_SIZE_WCHAR_T 4
#endif //__ARM_SIZE_WCHAR_T 

#ifndef __CODE_SIZE_LIMIT 
#define __CODE_SIZE_LIMIT 0
#endif //__CODE_SIZE_LIMIT 

#ifndef __CORE__ 
#define __CORE__ __ARM7EM__
#endif //__CORE__ 

#ifndef __CPU_MODE__ 
#define __CPU_MODE__ 1
#endif //__CPU_MODE__ 

#ifndef __ICCARM_INTRINSICS_VERSION__ 
#define __ICCARM_INTRINSICS_VERSION__ 2
#endif //__ICCARM_INTRINSICS_VERSION__ 

#ifndef __ICCARM__ 
#define __ICCARM__ 1
#endif //__ICCARM__ 

#ifndef __INTERWORKING__ 
#define __INTERWORKING__ 1
#endif //__INTERWORKING__ 

#ifndef __PLAIN_INT_BITFIELD_IS_SIGNED__ 
#define __PLAIN_INT_BITFIELD_IS_SIGNED__ 0
#endif //__PLAIN_INT_BITFIELD_IS_SIGNED__ 

#ifndef __HAS_WEAK__ 
#define __HAS_WEAK__ 1
#endif //__HAS_WEAK__ 

#ifndef __HAS_PACKED__ 
#define __HAS_PACKED__ 1
#endif //__HAS_PACKED__ 

#ifndef __HAS_JOINED_TYPES__ 
#define __HAS_JOINED_TYPES__ 1
#endif //__HAS_JOINED_TYPES__ 

#ifndef __HAS_LOCATED_DECLARATION__ 
#define __HAS_LOCATED_DECLARATION__ 1
#endif //__HAS_LOCATED_DECLARATION__ 

#ifndef __HAS_LOCATED_WITH_INIT__ 
#define __HAS_LOCATED_WITH_INIT__ 1
#endif //__HAS_LOCATED_WITH_INIT__ 

#ifndef __IAR_COMPILERBASE__ 
#define __IAR_COMPILERBASE__ 656389
#endif //__IAR_COMPILERBASE__ 

#ifndef __IAR_COMPILERBASE_STR__ 
#define __IAR_COMPILERBASE_STR__ 10.4.5.1105
#endif //__IAR_COMPILERBASE_STR__ 

#ifndef __UNICODE_SOURCE_SUPPORTED__ 
#define __UNICODE_SOURCE_SUPPORTED__ 1
#endif //__UNICODE_SOURCE_SUPPORTED__ 

#ifndef __VTABLE_MEM__ 
#define __VTABLE_MEM__ 
#endif //__VTABLE_MEM__ 

#ifndef __PRAGMA_REDEFINE_EXTNAME 
#define __PRAGMA_REDEFINE_EXTNAME 1
#endif //__PRAGMA_REDEFINE_EXTNAME 

#ifndef __STDC__ 
#define __STDC__ 1
#endif //__STDC__ 

#ifndef __STDC_VERSION__ 
#define __STDC_VERSION__ 199409L
#endif //__STDC_VERSION__ 

#ifndef __STDC_HOSTED__ 
#define __STDC_HOSTED__ 1
#endif //__STDC_HOSTED__ 

#ifndef __EDG_IA64_ABI 
#define __EDG_IA64_ABI 1
#endif //__EDG_IA64_ABI 

#ifndef __EDG_IA64_ABI_VARIANT_CTORS_AND_DTORS_RETURN_THIS 
#define __EDG_IA64_ABI_VARIANT_CTORS_AND_DTORS_RETURN_THIS 1
#endif //__EDG_IA64_ABI_VARIANT_CTORS_AND_DTORS_RETURN_THIS 

#ifndef __EDG_IA64_ABI_USE_INT_STATIC_INIT_GUARD 
#define __EDG_IA64_ABI_USE_INT_STATIC_INIT_GUARD 1
#endif //__EDG_IA64_ABI_USE_INT_STATIC_INIT_GUARD 

#ifndef __EDG_TYPE_TRAITS_ENABLED 
#define __EDG_TYPE_TRAITS_ENABLED 1
#endif //__EDG_TYPE_TRAITS_ENABLED 

#ifndef __EDG__ 
#define __EDG__ 1
#endif //__EDG__ 

#ifndef __EDG_VERSION__ 
#define __EDG_VERSION__ 414
#endif //__EDG_VERSION__ 

#ifndef __EDG_SIZE_TYPE__ 
#define __EDG_SIZE_TYPE__ unsigned int
#endif //__EDG_SIZE_TYPE__ 

#ifndef __EDG_PTRDIFF_TYPE__ 
#define __EDG_PTRDIFF_TYPE__ int
#endif //__EDG_PTRDIFF_TYPE__ 

#ifndef __EDG_DELTA_TYPE 
#define __EDG_DELTA_TYPE int
#endif //__EDG_DELTA_TYPE 

#ifndef __EDG_IA64_VTABLE_ENTRY_TYPE 
#define __EDG_IA64_VTABLE_ENTRY_TYPE int
#endif //__EDG_IA64_VTABLE_ENTRY_TYPE 

#ifndef __EDG_VIRTUAL_FUNCTION_INDEX_TYPE 
#define __EDG_VIRTUAL_FUNCTION_INDEX_TYPE unsigned short
#endif //__EDG_VIRTUAL_FUNCTION_INDEX_TYPE 

#ifndef __EDG_LOWER_VARIABLE_LENGTH_ARRAYS 
#define __EDG_LOWER_VARIABLE_LENGTH_ARRAYS 1
#endif //__EDG_LOWER_VARIABLE_LENGTH_ARRAYS 

#ifndef __EDG_IA64_ABI_USE_VARIANT_ARRAY_COOKIES 
#define __EDG_IA64_ABI_USE_VARIANT_ARRAY_COOKIES 1
#endif //__EDG_IA64_ABI_USE_VARIANT_ARRAY_COOKIES 

#ifndef __EDG_ABI_COMPATIBILITY_VERSION 
#define __EDG_ABI_COMPATIBILITY_VERSION 9999
#endif //__EDG_ABI_COMPATIBILITY_VERSION 

#ifndef __EDG_ABI_CHANGES_FOR_RTTI 
#define __EDG_ABI_CHANGES_FOR_RTTI 1
#endif //__EDG_ABI_CHANGES_FOR_RTTI 

#ifndef __EDG_ABI_CHANGES_FOR_ARRAY_NEW_AND_DELETE 
#define __EDG_ABI_CHANGES_FOR_ARRAY_NEW_AND_DELETE 1
#endif //__EDG_ABI_CHANGES_FOR_ARRAY_NEW_AND_DELETE 

#ifndef __EDG_ABI_CHANGES_FOR_PLACEMENT_DELETE 
#define __EDG_ABI_CHANGES_FOR_PLACEMENT_DELETE 1
#endif //__EDG_ABI_CHANGES_FOR_PLACEMENT_DELETE 

#ifndef __EDG_BSD 
#define __EDG_BSD 0
#endif //__EDG_BSD 

#ifndef __EDG_SYSV 
#define __EDG_SYSV 0
#endif //__EDG_SYSV 

#ifndef __EDG_ANSIC 
#define __EDG_ANSIC 1
#endif //__EDG_ANSIC 

#ifndef __EDG_CPP11_IL_EXTENSIONS_SUPPORTED 
#define __EDG_CPP11_IL_EXTENSIONS_SUPPORTED 1
#endif //__EDG_CPP11_IL_EXTENSIONS_SUPPORTED 

#ifndef __EDG_FLOAT80_ENABLING_POSSIBLE 
#define __EDG_FLOAT80_ENABLING_POSSIBLE 0
#endif //__EDG_FLOAT80_ENABLING_POSSIBLE 

#ifndef __EDG_FLOAT128_ENABLING_POSSIBLE 
#define __EDG_FLOAT128_ENABLING_POSSIBLE 0
#endif //__EDG_FLOAT128_ENABLING_POSSIBLE 

#ifndef CONFIG_GPIO_AS_PINRESET 
#define CONFIG_GPIO_AS_PINRESET 1
#endif //CONFIG_GPIO_AS_PINRESET 

#ifndef FLOAT_ABI_HARD 
#define FLOAT_ABI_HARD 1
#endif //FLOAT_ABI_HARD 

#ifndef _DLIB_CONFIG_FILE_HEADER_NAME 
#define _DLIB_CONFIG_FILE_HEADER_NAME "C:\\Program Files (x86)\\IAR Systems\\Embedded Workbench 8.1\\arm/inc/c/DLib_Config_Normal.h"
#endif //_DLIB_CONFIG_FILE_HEADER_NAME 

#ifndef _DLIB_CONFIG_FILE_STRING 
#define _DLIB_CONFIG_FILE_STRING "C:\\Program Files (x86)\\IAR Systems\\Embedded Workbench 8.1\\arm/inc/c/DLib_Config_Normal.h"
#endif //_DLIB_CONFIG_FILE_STRING 

#ifndef __VERSION__ 
#define __VERSION__ "IAR ANSI C/C++ Compiler V8.30.2.160/W32 for ARM"
#endif //__VERSION__ 

#endif //PREDEF_H