#pragma once
#ifndef SD_ABSTRACTION_H
#define SD_ABSTRACTION_H

#include "stdtypes.h"
#include "nrf_sdm.h"

// I don't like this in production code but cannot find a better way to mock the __STATIC_INLINE's away
#ifdef TEST_BUILD
   extern uint32_t sd_nvic_EnableIRQ(IRQn_Type IRQn);
   extern uint32_t sd_nvic_critical_region_enter(uint8_t * p_is_nested_critical_region);
   extern uint32_t sd_nvic_critical_region_exit(uint8_t is_nested_critical_region);
#else
#include "nrf_nvic.h"

__STATIC_INLINE uint32_t sd_nvic_EnableIRQ(IRQn_Type IRQn); 
__STATIC_INLINE uint32_t sd_nvic_critical_region_enter(uint8_t * p_is_nested_critical_region);
__STATIC_INLINE uint32_t sd_nvic_critical_region_exit(uint8_t is_nested_critical_region);

#endif //TEST_BUILD

extern uint32_t sd_softdevice_enable(nrf_clock_lf_cfg_t const * p_clock_lf_cfg, nrf_fault_handler_t fault_handler);
extern uint32_t sd_power_dcdc_mode_set(uint8_t dcdc_mode);

extern uint32_t sd_app_evt_wait(void);
extern uint32_t sd_evt_get(uint32_t * p_evt_id);

extern uint32_t sd_flash_page_erase(uint32_t page_number);
extern uint32_t sd_flash_write(uint32_t * p_dst, uint32_t const * p_src, uint32_t size);

#endif // SD_ABSTRACTION_H
