#pragma once
#ifndef TIMER_H
#define TIMER_H

#include "stdtypes.h"

#define K_INVALID_TIMER ((handle_t) -1)

void fnTimer_Initialise(NRF_RTC_Type* const pRtcRegister);
void fnTimer_Enable(void);
void fnTimer_Disable(void);
bool fnTimer_HasExpired(handle_t hTimer);
bool fnTimer_Reload(handle_t hTimer, uint32_t uPeriod);
void fnTimer_Kill(handle_t *phTimer);
handle_t fnTimer_Set(uint32_t uPeriod, bool bRepeat);
void fnTimer_Restart(handle_t hTimer);

typedef enum
{
    TIMER_SINGLESHOT,
    TIMER_REPEAT,
    TIMER_EXPIRED
}timer_mode_t;

#endif // TIMER_H
