
#ifndef UART_H
#define UART_H

#include "stdtypes.h"
#include "hw.h"

#define RX_BUFFER_SIZE  2048 /*needs to be binary factor e.g. 256, 512, 1024 as this is used for the FIFO */

void fnUart_Inititalize(NRF_UART_Type * const pUartRegister);
void fnUart_RxPoll(void); //always called in main loop (possibly on wake from sleep...)
void fnUart_TxPoll(void); //always called in main loop (possibly on wake from sleep...)

void fnUart_Reset(void);
uint32_t fnUart_Read(uint8_t * const pBuffer, const uint32_t unCount);
bool fnUart_Write(const uint8_t * const pBuffer, uint32_t unCount);

bool fnUart_IsBreak(void);
void fnUart_SendBreak(void);
void fnUart_ClearBreak(void);

bool fnUart_IsError(void);
void fnUart_ClearError(void);

uint32_t fnUart_GetReceivedDataLength(void);

#endif